algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Algebra.Quaternion.Class

# Documentation

class Complicated t => Hamiltonian t where Source

Methods

j :: tSource

k :: tSource

Instances

Hamiltonian QuaternionBasis |
Hamiltonian QuaternionBasis' |
Rig r => Hamiltonian (Quaternion r) |
Rig r => Hamiltonian (Quaternion' r) |
Rig r => Hamiltonian (QuaternionBasis -> r) |
Rig r => Hamiltonian (QuaternionBasis' -> r) |
Rig r => Hamiltonian (:->: QuaternionBasis r) |
Rig r => Hamiltonian (:->: QuaternionBasis' r) |
Hamiltonian a => Hamiltonian (Covector r a) |